<?
include_once("./_common.php");

$g4[title] = "로그인";
include_once("./_head.php");

// 이미 로그인 중이라면
if ($member[mb_id])
{
    if ($url)
        goto_url($url);
    else
        goto_url($g4[path]);
}

if ($url)   $urlencode = urlencode($url);
else	    $urlencode = urlencode($_SERVER[REQUEST_URI]);

if ($icd)	{
	$ip			= $_SERVER[REMOTE_ADDR];
	$icd		= zm_table_decode($icd);
	$today		= date("Y-m-d 00:00:00", $g4[server_time]);		//-- 오늘 날짜 00시

	//-- 연속 실패 횟수 ziumsoft.
	$res		= sql_fetch("select count(db_id) as loginfail from $zmb[table_login_log] where db_id='$icd' and db_flag='0' and (db_date > '$today')");
	$failtimes	= number_format($res[loginfail]);

	//-- 없는 회원일 땐 쿠키로... 실제 아이디가 아니여도 로그인 실패 회수를 적용해야 아이디 찾기 악용을 하지 못함
	$mb		= get_member($icd);
	if(!$mb[mb_id]){
		$failtimes	= 1;
		if($_COOKIE[cook_id] == $icd) $failtimes = $_COOKIE[cook_failtimes] + 1;
		if($failtimes > 5) $failtimes = 5;
		@setcookie('cook_failtimes', $failtimes, time()+3600*$zm_config[loginbanterm], "/");
		@setcookie('cook_id', $icd, time()+3600*$zm_config[loginbanterm], "/");
	}
}else
	$ecd	= urlencode($_SERVER[REQUEST_URI]);

include_once("$member_skin_path/login.skin.php");
include_once("./_tail.php");
?>